package com.ruoyi.ss.order.service;

import com.ruoyi.ss.order.domain.OrderBO;
import com.ruoyi.ss.order.domain.dto.OrderDTO;
import com.ruoyi.ss.order.domain.dto.ProductDTO;
import com.ruoyi.ss.order.domain.dto.ReOrderDTO;

public interface IOrderConverter {

    // 订单dto转bo
    OrderBO toOrderBO(OrderDTO order);

    // 续订单dto转bo
    OrderBO toOrderBO(ReOrderDTO reOrder);

//    // 充值单dto转bo
//    OrderBO toOrderBO(TopUpOrderDTO topUpOrder);

    // 货柜订单dto转bo
    OrderBO toOrderBO(ProductDTO product);
}
